# This is a BitKeeper generated diff -Nru style patch.
#
# ChangeSet
#   2005/04/18 22:59:23-04:00 len.brown@intel.com 
#   [ACPI] quiet dmesg related to ACPI PM of PCI devices
#   
#   http://bugzilla.kernel.org/show_bug.cgi?id=4277
#   
#   Signed-off-by: David Shaohua Li <shaohua.li@intel.com>
#   Signed-off-by: Len Brown <len.brown@intel.com>
# 
# drivers/acpi/glue.c
#   2005/04/14 00:29:07-04:00 len.brown@intel.com +4 -6
#   DBG("No ACPI bus support for %s\n", dev->bus_id);
# 
diff -Nru a/drivers/acpi/glue.c b/drivers/acpi/glue.c
--- a/drivers/acpi/glue.c	2005-07-09 17:47:31 -04:00
+++ b/drivers/acpi/glue.c	2005-07-09 17:47:31 -04:00
@@ -29,7 +29,7 @@
 		down_write(&bus_type_sem);
 		list_add_tail(&type->list, &bus_type_list);
 		up_write(&bus_type_sem);
-		DBG("ACPI bus type %s registered\n", type->bus->name);
+		printk(KERN_INFO PREFIX "bus type %s registered\n", type->bus->name);
 		return 0;
 	}
 	return -ENODEV;
@@ -45,7 +45,7 @@
 		down_write(&bus_type_sem);
 		list_del_init(&type->list);
 		up_write(&bus_type_sem);
-		DBG("ACPI bus type %s unregistered\n", type->bus->name);
+		printk(KERN_INFO PREFIX "ACPI bus type %s unregistered\n", type->bus->name);
 		return 0;
 	}
 	return -ENODEV;
@@ -314,14 +314,12 @@
 	}
 	type = acpi_get_bus_type(dev->bus);
 	if (!type) {
-		printk(KERN_INFO PREFIX "No ACPI bus support for %s\n",
-		       dev->bus_id);
+		DBG("No ACPI bus support for %s\n", dev->bus_id);
 		ret = -EINVAL;
 		goto end;
 	}
 	if ((ret = type->find_device(dev, &handle)) != 0)
-		printk(KERN_INFO PREFIX "Can't get handler for %s\n",
-		       dev->bus_id);
+		DBG("Can't get handler for %s\n", dev->bus_id);
       end:
 	if (!ret)
 		acpi_bind_one(dev, handle);
